Bug 1244340 - Avidemux won't open
Summary: Avidemux won't open
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-17 20:09 UTC by batisteo
Modified: 2016-07-19 15:24 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 15:24:19 UTC


Attachments (Terms of Use)

Description batisteo 2015-07-17 20:09:36 UTC
Description of problem:
Avidemux-GTK software won't open after install.

Version-Release number of selected component (if applicable):
avidemux-gtk             x86_64            2.6.8-3.fc22


How reproducible:


Steps to Reproduce:
1. sudo dnf install avidemux-gtk  # on rpmfusion-free
2. avidemux3_gtk
3. Popup appear: Glade - Cannot load glade file

Actual results:

```
$ avidemux3_gtk 
Creating dir :/home/batisteo/.avidemux6/
Using /home/batisteo/.avidemux6/ as base directory for prefs, jobs, etc.
*************************
  Avidemux v
*************************
 http://www.avidemux.org
 Code      : Mean, JSC, Grant Pedersen
 GFX       : Nestor Di, nestordi@augcyl.org
 Design    : Jakub Misak
 FreeBSD   : Anish Mistry, amistry@am-productions.biz
 Audio     : Mihail Zenkov
 Mac OS X  : Kuisathaverat, Harry van der Wolf
 Win32     : Grant Pedersen

Compiler: GCC 5.1.1 20150422 (Red Hat 5.1.1-1)
Build Target: Linux (x86-64)
User Interface: GTK+ (3.16.4)

Large file available: 1 offset
Time: Fri Jul 17 21:46:18 2015

0: avidemux3_gtk

Initialising prefs
 [load]  Loading prefs from /home/batisteo/.avidemux6/config2
  [load]  can't read /home/batisteo/.avidemux6/config2
 [cpuCaps]Checking CPU capabilities
		MMX detected 
		MMXEXT detected 
		SSE detected 
		SSE2 detected 
		SSE3 detected 
		SSSE3 detected 
[cpuCaps]End of CPU capabilities check (cpuMask :ffffffff, cpuCaps :1e6)

[SDL] Version: 1.2.15
[SDL] Initialisation succeeded
[SDL] Video Driver: x11


[Locale] setlocale fr_FR.UTF-8
[Locale] Textdomain was messages
[Locale] Textdomain is now avidemux
[Locale] Test: _File

[Gtk] Entering gtk_init
Initializing Dithering tables
[COREUI] Compiled with 01.00.00
[COREUI] Linked with   01.00.00
[CoreUI] Compiled with patch version 0, using 0
[UI Toolkit] Running version 01:03
[Script] Scanning directory /usr/lib64/ADM_plugins6/scriptEngines/
[Script] SpiderMonkey INFO - Registered Debug functions
[Script] SpiderMonkey INFO - Registered Test functions
[Script] SpiderMonkey INFO - Registered DialogFactory classes
[Script] SpiderMonkey INFO - Spidermonkey initialised
[Script] QtScript INFO - Initialised
[Script] Tinypy INFO - Registering group addons
[Script] Tinypy INFO - 	Registering: help
[Script] Tinypy INFO - 	Registering: get_folder_content
[Script] Tinypy INFO - 	Registering: get_file_size
[Script] Tinypy INFO - 	Registering: basename
[Script] Tinypy INFO - 	Registering: dirname
[Script] Tinypy INFO - Registering class: Avidemux
[Script] Tinypy INFO - Registering class: Editor
[Script] Tinypy INFO - Registering class: Gui
[Script] Tinypy INFO - Registering class: DFToggle
[Script] Tinypy INFO - Registering class: DFInteger
[Script] Tinypy INFO - Registering class: DFMenu
[Script] Tinypy INFO - Registering class: DFTimeStamp
[Script] Tinypy INFO - Registering class: DialogFactory
[Script] Tinypy INFO - Registering group test
[Script] Tinypy INFO - 	Registering: testAssert
[Script] Tinypy INFO - 	Registering: testCrash
[Script] Tinypy INFO - 	Registering: testSub
[Script] Tinypy INFO - Registering static class os
[Script] Tinypy INFO - 	Registering: environ
[Script] Tinypy INFO - Python initialised
Trying :</usr/lib64/ADM_glade//main/gtk2_build.gtkBuilder>

(avidemux3_gtk:19568): GLib-GObject-WARNING **: The property GtkToolButton:stock-id is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:19568): GLib-GObject-WARNING **: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:19568): GLib-GObject-WARNING **: The property GtkButton:xalign is deprecated and shouldn't be used anymore. It will be removed in a future version.
[GtkBuilder] Invalid property: GtkGrid.n_columns on line 549
Trying :</builddir/build/BUILD/avidemux_2.6.8/avidemux/gtk/ADM_userInterfaces/ADM_toolkit_gtk/../glade/main/gtk2_build.gtkBuilder>
[GtkBuilder] Failed to open file '/builddir/build/BUILD/avidemux_2.6.8/avidemux/gtk/ADM_userInterfaces/ADM_toolkit_gtk/../glade/main/gtk2_build.gtkBuilder': Aucun fichier ou dossier de ce type
Trying :<glade/main/gtk2_build.gtkBuilder>
[GtkBuilder] Failed to open file 'glade/main/gtk2_build.gtkBuilder': Aucun fichier ou dossier de ce type

(avidemux3_gtk:19568): GLib-GObject-WARNING **: The property GtkButton:use-stock is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:19568): GLib-GObject-WARNING **: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:19568): Gtk-CRITICAL **: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed

(avidemux3_gtk:19568): Gtk-CRITICAL **: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

*********** BACKTRACK **************
/lib64/libADM_core6.so(ADM_backTrack+0x60) [0x7efc22274010]:0:<ADM_backTrack>:-2
avidemux3_gtk(_Z7initGUIRKSt6vectorIP13IScriptEngineSaIS1_EE+0x6e3) [0x45bb13]:1:<initGUI(std::vector<IScriptEngine*, std::allocator<IScriptEngine*> > const&)>:0
avidemux3_gtk(_Z13startAvidemuxiPPc+0x2ff) [0x42ba7f]:2:<startAvidemux(int, char**)>:0
/lib64/libc.so.6(__libc_start_main+0xf0) [0x7efc1e05e790]:3:<__libc_start_main>:-2
avidemux3_gtk(_start+0x29) [0x4244e9]:4:<_start>:-2
*********** BACKTRACK **************
Cleaning up
 [deleteAll]  [Editor] Deleting all videos
  [deleteAll]  [Editor] Deleting all videos
  [deleteAll]  [Editor] Deleting all videos
 [Script] QtScript INFO - Closing QtScript
[Script] Tinypy INFO - Closing Python
[Script] SpiderMonkey INFO - Closing Spidermonkey
[SDL] Quitting...
 [destroyGUI]  Destroying Gtk GUI
  [renderDestroy]  Cleaning up Render
  [destroy]  Destroying preview
  [ADM_ad_cleanup]  Purging audio decoder
  [ADM_vf_clearFilters]  clear filters
  [ADM_vf_cleanup]  Destroying video filter list
 --End of cleanup--

Images stat:
___________
Max memory consumed (MB)     : 0
Current memory consumed (MB) : 0
Max image used               : 0
Cur image used               : 0
 [onexit]  
Goodbye...

```

Expected results:

Avidemux interface shows up.

Additional info:

Comment 1 Tim Hildred 2015-08-26 08:03:42 UTC
Confirmed on Fedora 22. 

[thildred@thildred ~]$ avidemux3_gtk 
Directory /home/thildred/.avidemux6/ exists.Good.
Using /home/thildred/.avidemux6/ as base directory for prefs, jobs, etc.
*************************
  Avidemux v
*************************
 http://www.avidemux.org
 Code      : Mean, JSC, Grant Pedersen
 GFX       : Nestor Di, nestordi@augcyl.org
 Design    : Jakub Misak
 FreeBSD   : Anish Mistry, amistry@am-productions.biz
 Audio     : Mihail Zenkov
 Mac OS X  : Kuisathaverat, Harry van der Wolf
 Win32     : Grant Pedersen

Compiler: GCC 5.1.1 20150422 (Red Hat 5.1.1-1)
Build Target: Linux (x86-64)
User Interface: GTK+ (3.16.6)

Large file available: 1 offset
Time: Wed Aug 26 18:01:55 2015

0: avidemux3_gtk

Initialising prefs
 [load]  Loading prefs from /home/thildred/.avidemux6/config2
  [load]  can't read /home/thildred/.avidemux6/config2
 [cpuCaps]Checking CPU capabilities
		MMX detected 
		MMXEXT detected 
		SSE detected 
		SSE2 detected 
		SSE3 detected 
		SSSE3 detected 
[cpuCaps]End of CPU capabilities check (cpuMask :ffffffff, cpuCaps :1e6)

[SDL] Version: 1.2.15
[SDL] Initialisation succeeded
[SDL] Video Driver: x11


[Locale] setlocale en_US.utf8
[Locale] Textdomain was messages
[Locale] Textdomain is now avidemux
[Locale] Test: _File

[Gtk] Entering gtk_init
Initializing Dithering tables
[COREUI] Compiled with 01.00.00
[COREUI] Linked with   01.00.00
[CoreUI] Compiled with patch version 0, using 0
[UI Toolkit] Running version 01:03
[Script] Scanning directory /usr/lib64/ADM_plugins6/scriptEngines/
[Script] SpiderMonkey INFO - Registered Debug functions
[Script] SpiderMonkey INFO - Registered Test functions
[Script] SpiderMonkey INFO - Registered DialogFactory classes
[Script] SpiderMonkey INFO - Spidermonkey initialised
[Script] Tinypy INFO - Registering group addons
[Script] Tinypy INFO - 	Registering: help
[Script] Tinypy INFO - 	Registering: get_folder_content
[Script] Tinypy INFO - 	Registering: get_file_size
[Script] Tinypy INFO - 	Registering: basename
[Script] Tinypy INFO - 	Registering: dirname
[Script] Tinypy INFO - Registering class: Avidemux
[Script] Tinypy INFO - Registering class: Editor
[Script] Tinypy INFO - Registering class: Gui
[Script] Tinypy INFO - Registering class: DFToggle
[Script] Tinypy INFO - Registering class: DFInteger
[Script] Tinypy INFO - Registering class: DFMenu
[Script] Tinypy INFO - Registering class: DFTimeStamp
[Script] Tinypy INFO - Registering class: DialogFactory
[Script] Tinypy INFO - Registering group test
[Script] Tinypy INFO - 	Registering: testAssert
[Script] Tinypy INFO - 	Registering: testCrash
[Script] Tinypy INFO - 	Registering: testSub
[Script] Tinypy INFO - Registering static class os
[Script] Tinypy INFO - 	Registering: environ
[Script] Tinypy INFO - Python initialised
[Script] QtScript INFO - Initialised
Trying :</usr/lib64/ADM_glade//main/gtk2_build.gtkBuilder>

(avidemux3_gtk:4189): GLib-GObject-WARNING **: The property GtkToolButton:stock-id is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:4189): GLib-GObject-WARNING **: The property GtkWidget:margin-left is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:4189): GLib-GObject-WARNING **: The property GtkButton:xalign is deprecated and shouldn't be used anymore. It will be removed in a future version.
[GtkBuilder] Invalid property: GtkGrid.n_columns on line 549
Trying :</builddir/build/BUILD/avidemux_2.6.8/avidemux/gtk/ADM_userInterfaces/ADM_toolkit_gtk/../glade/main/gtk2_build.gtkBuilder>
[GtkBuilder] Failed to open file '/builddir/build/BUILD/avidemux_2.6.8/avidemux/gtk/ADM_userInterfaces/ADM_toolkit_gtk/../glade/main/gtk2_build.gtkBuilder': No such file or directory
Trying :<glade/main/gtk2_build.gtkBuilder>
[GtkBuilder] Failed to open file 'glade/main/gtk2_build.gtkBuilder': No such file or directory

(avidemux3_gtk:4189): GLib-GObject-WARNING **: The property GtkButton:use-stock is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:4189): GLib-GObject-WARNING **: The property GtkSettings:gtk-button-images is deprecated and shouldn't be used anymore. It will be removed in a future version.

(avidemux3_gtk:4189): Gtk-CRITICAL **: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed

(avidemux3_gtk:4189): Gtk-CRITICAL **: gtk_widget_grab_default: assertion 'gtk_widget_get_can_default (widget)' failed
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.

*********** BACKTRACK **************
/lib64/libADM_core6.so(ADM_backTrack+0x60) [0x7f682bc07010]:0:<ADM_backTrack>:-2
avidemux3_gtk(_Z7initGUIRKSt6vectorIP13IScriptEngineSaIS1_EE+0x6e3) [0x45bb13]:1:<initGUI(std::vector<IScriptEngine*, std::allocator<IScriptEngine*> > const&)>:0
avidemux3_gtk(_Z13startAvidemuxiPPc+0x2ff) [0x42ba7f]:2:<startAvidemux(int, char**)>:0
/lib64/libc.so.6(__libc_start_main+0xf0) [0x3768620700]:3:<__libc_start_main>:-2
avidemux3_gtk(_start+0x29) [0x4244e9]:4:<_start>:-2
*********** BACKTRACK **************
Cleaning up
 [deleteAll]  [Editor] Deleting all videos
  [deleteAll]  [Editor] Deleting all videos
  [deleteAll]  [Editor] Deleting all videos
 [Script] QtScript INFO - Closing QtScript
[Script] Tinypy INFO - Closing Python
[Script] SpiderMonkey INFO - Closing Spidermonkey
[SDL] Quitting...
 [destroyGUI]  Destroying Gtk GUI
  [renderDestroy]  Cleaning up Render
  [destroy]  Destroying preview
  [ADM_ad_cleanup]  Purging audio decoder
  [ADM_vf_clearFilters]  clear filters
  [ADM_vf_cleanup]  Destroying video filter list
 --End of cleanup--

Images stat:
___________
Max memory consumed (MB)     : 0
Current memory consumed (MB) : 0
Max image used               : 0
Cur image used               : 0
 [onexit]  
Goodbye...

Comment 2 Stephen Gordon 2015-09-02 20:19:27 UTC
As a workaround, the qt4 version still works. Looks like a patch was submitted upstream that may address this issue (?):

https://lists.gnu.org/archive/html/guix-devel/2015-02/msg00653.html

Comment 3 Tim Hildred 2015-09-24 08:46:13 UTC
This feels like a dream, or deja vu. Steve Gordon drops in from nowhere to save the day, and vanishes into the night. 

Cheers Steve, I am now rotating videos like no bodies business.

Comment 4 Fedora End Of Life 2016-07-19 15:24:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.